# Serin2File.py

# This is a Python 2 program.
# It receives serial input from a PICAXE project, and saves it in a text file.

import serial

USBaddr = 'COM11'                     # use terminal program to determine port name
baud    = 9600                        # specify baud rate
fname   = 'Data.csv'                  # specify name of text file that stores data
fmode   = 'w'                         # set filemode to "write"
                                      # Warning: file with same name will be erased

with serial.Serial(USBaddr,baud) as port, open(fname,fmode) as datafile:
    print ('Waiting for input data...')
    
    while True:
        newdata = port.readline()     # input one line of data
        if 'end of data' in newdata:  # if data line contains 'end of text' 
            break                     #    then break out of infinite while loop
        datafile.write(newdata)       #    else store new line of data in text file,
        print (newdata),              #         display the new line of data,
                                      #         (and loop again)
                                                                      
    print ('Data has been written to the text file.')
