' === Serout2Excel.bas =========================
' Program transmits a series of 22 lines of data
' via a Prolific USB to serial converter.
' The other end of the Prolific cable is 
' connected to a PC which is running CoolTerm
' (or some other terminal program). Each line is
' transmitted as a string of ASCII characters,
' terminated by the CR and LF characters.

' === Directives ===
  #com 3                'specify serial port
  #picaxe 08M2          'specify processor
  #terminal off         'disable terminal window
  #no_data              'save time downloading
  
' === Constants ====
  symbol TxPin = C.4    'Tx to terminal program 
  
' === Begin Main ===============================
setfreq m8              'so we can use 9600 baud
high TxPin              'setup for non-inverted
pause 100               'serial transmission

serout TxPin,T9600_8,("Integer,Square",cr,lf)
serout TxPin,T9600_8,(#0,",",#0,cr,lf)
serout TxPin,T9600_8,(#1,",",#1,cr,lf)
serout TxPin,T9600_8,(#2,",",#4,cr,lf)
serout TxPin,T9600_8,(#3,",",#9,cr,lf)
serout TxPin,T9600_8,(#4,",",#16,cr,lf)
serout TxPin,T9600_8,(#5,",",#25,cr,lf)
serout TxPin,T9600_8,(#6,",",#36,cr,lf)
serout TxPin,T9600_8,(#7,",",#49,cr,lf)
serout TxPin,T9600_8,(#8,",",#64,cr,lf)
serout TxPin,T9600_8,(#9,",",#81,cr,lf)
serout TxPin,T9600_8,(#10,",",#100,cr,lf)
serout TxPin,T9600_8,(#11,",",#121,cr,lf)
serout TxPin,T9600_8,(#12,",",#144,cr,lf)
serout TxPin,T9600_8,(#13,",",#169,cr,lf)
serout TxPin,T9600_8,(#14,",",#196,cr,lf)
serout TxPin,T9600_8,(#15,",",#225,cr,lf)
serout TxPin,T9600_8,(#16,",",#256,cr,lf)
serout TxPin,T9600_8,(#17,",",#289,cr,lf)
serout TxPin,T9600_8,(#18,",",#324,cr,lf)
serout TxPin,T9600_8,(#19,",",#361,cr,lf)
serout TxPin,T9600_8,(#20,",",#400,cr,lf)