' === Serout2Python.bas ========================
' Program transmits a series of 22 lines of
' data via a Prolific USB to serial converter.
' Each line if data is transmitted as a string
' of ASCII characters, terminated by the ASCII
' cr and LF characters.

' The other end of the Prolific cable is 
' connected to a PC which is running a Python
' program (Serin2File.py) that receives the
' incomming data and stores it in a text file
' with the "csv" file extension. This file
' can be opened with Microsoft Excel.

' === Directives ===
  #com 3                'specify serial port
  #picaxe 08M2          'specify processor
  #terminal off         'disable terminal window
  #no_data              'save time downloading
  
' === Constants ====
 	symbol TxPin = C.4    'Tx to terminal program 
  
' === Begin Main ===============================
setfreq m8              'so we can use 9600 baud
high TxPin              'set up for non-inverted
pause 100               'serial communication

serout TxPin,T9600_8,("Integer,Square",lf)
serout TxPin,T9600_8,(#0,",",#0,lf)
serout TxPin,T9600_8,(#1,",",#1,lf)
serout TxPin,T9600_8,(#2,",",#4,lf)
serout TxPin,T9600_8,(#3,",",#9,lf)
serout TxPin,T9600_8,(#4,",",#16,lf)
serout TxPin,T9600_8,(#5,",",#25,lf)
serout TxPin,T9600_8,(#6,",",#36,lf)
serout TxPin,T9600_8,(#7,",",#49,lf)
serout TxPin,T9600_8,(#8,",",#64,lf)
serout TxPin,T9600_8,(#9,",",#81,lf)
serout TxPin,T9600_8,(#10,",",#100,lf)
serout TxPin,T9600_8,(#11,",",#121,lf)
serout TxPin,T9600_8,(#12,",",#144,lf)
serout TxPin,T9600_8,(#13,",",#169,lf)
serout TxPin,T9600_8,(#14,",",#196,lf)
serout TxPin,T9600_8,(#15,",",#225,lf)
serout TxPin,T9600_8,(#16,",",#256,lf)
serout TxPin,T9600_8,(#17,",",#289,lf)
serout TxPin,T9600_8,(#18,",",#324,lf)
serout TxPin,T9600_8,(#19,",",#361,lf)
serout TxPin,T9600_8,(#20,",",#400,lf)
serout TxPin,T9600_8,("end of data",lf)